Bug 76004 - rpmbuild --rmspec --rmsource fails
rpmbuild --rmspec --rmsource fails
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-10-15 13:54 EDT by Gene Czarcinski
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-15 13:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2002-10-15 13:54:13 EDT
Description of Problem:

rpm allows installation of a src.rpm without the build prereqs being installed.
 However, you cannot do rpmbuild --rmsource --rmspec unless the build prereqs
are installed.
Comment 1 Jeff Johnson 2002-10-17 13:12:48 EDT
Add --nodeps, use a popt alias in /etc/popt
	rpmbuild alias --rmsource --rmsource --nodeps
if desired.
The real "fix" will be to change the way that rpm handles
src.rpm's so that src.rpm's at handled just like binary rpm's,
but that ain't gonna happen this week.

Note You need to log in before you can comment on or make changes to this bug.